Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Process_Descriptor Class Reference

Information describing each process that's controlled by an <ACE_Process_Manager>. More...

`#include <Process_Manager.h>`

Collaboration diagram for ACE_Process_Descriptor:

[legend]
List of all members.

## Private Member Functions
| ACE_Process_Descriptor (void)
| Default ctor/dtor.
| ~ACE_Process_Descriptor (void)
void | dump (void) const
| Dump the state of an object.
## Private Attributes
ACE_Process * | process_
| Describes the process itself.
ACE_Event_Handler * | exit_notify_
| function to call when process exits
## Friends
class | ACE_Process_Manager

## Detailed Description

Information describing each process that's controlled by an <ACE_Process_Manager>.

## Constructor & Destructor Documentation

ACE_Process_Descriptor::ACE_Process_Descriptor | ( | void |  | ) | `[private]`

| Default ctor/dtor.

ACE_Process_Descriptor::~ACE_Process_Descriptor | ( | void |  | ) | `[private]`

## Member Function Documentation

void ACE_Process_Descriptor::dump | ( | void |  | ) | const`[private]`

| Dump the state of an object.

## Friends And Related Function Documentation

friend class ACE_Process_Manager`[friend]`

## Member Data Documentation

ACE_Event_Handler* ACE_Process_Descriptor::exit_notify_`[private]`

| function to call when process exits

ACE_Process* ACE_Process_Descriptor::process_`[private]`

| Describes the process itself.

The documentation for this class was generated from the following files:

- Process_Manager.h
- Process_Manager.cpp